Update an RFQ
curl --request PATCH \
--url https://api.glassmarkets.io/v2/organizations/rfq/{rfq_id}/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"asset": "<string>",
"title": "<string>",
"subtitle": "<string>",
"due_date": "2023-12-25",
"template": "<unknown>",
"target_exchanges": [
{
"id": "<string>",
"name": "<string>",
"tracked_exchange": "<string>",
"market_types": []
}
],
"client_draft_id": "<string>"
}
'import requests
url = "https://api.glassmarkets.io/v2/organizations/rfq/{rfq_id}/"
payload = {
"asset": "<string>",
"title": "<string>",
"subtitle": "<string>",
"due_date": "2023-12-25",
"template": "<unknown>",
"target_exchanges": [
{
"id": "<string>",
"name": "<string>",
"tracked_exchange": "<string>",
"market_types": []
}
],
"client_draft_id": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
asset: '<string>',
title: '<string>',
subtitle: '<string>',
due_date: '2023-12-25',
template: '<unknown>',
target_exchanges: [
{
id: '<string>',
name: '<string>',
tracked_exchange: '<string>',
market_types: []
}
],
client_draft_id: '<string>'
})
};
fetch('https://api.glassmarkets.io/v2/organizations/rfq/{rfq_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"asset": "<string>",
"title": "<string>",
"subtitle": "<string>",
"status": "draft",
"due_date": "2023-12-25",
"template": "<unknown>",
"token": {
"symbol": "<string>",
"name": "<string>",
"tracked_asset": "<string>"
},
"target_exchanges": [
{
"id": "<string>",
"name": "<string>",
"tracked_exchange": "<string>",
"market_types": [
"spot"
]
}
],
"created_by": {
"id": 123,
"username": "<string>",
"email": "jsmith@example.com"
},
"draft_owner": {
"browser_id": "<string>",
"account": {
"id": 123,
"username": "<string>",
"email": "jsmith@example.com"
},
"associated_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"proposals": [
{
"id": 123,
"organization": {
"slug": "<string>",
"name": "<string>"
},
"status": "pending",
"response_data": "<unknown>",
"submitted_at": "2023-11-07T05:31:56Z",
"reviewed_at": "2023-11-07T05:31:56Z",
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"permissions": {
"respond": true,
"review": true,
"create_targets": true
},
"targets_created_at": "2023-11-07T05:31:56Z"
}
],
"permissions": {
"manage": true
}
}RFQ
Update an RFQ
The owner updates some fields of an RFQ. Allowed status changes: draft to active or archived, active to completed or archived, completed to archived. Archived RFQs cannot change. Once bidders are invited, asset, token, target_exchanges and template are fixed: clone the RFQ instead. Conflicts return 409.
Update an RFQ
curl --request PATCH \
--url https://api.glassmarkets.io/v2/organizations/rfq/{rfq_id}/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"asset": "<string>",
"title": "<string>",
"subtitle": "<string>",
"due_date": "2023-12-25",
"template": "<unknown>",
"target_exchanges": [
{
"id": "<string>",
"name": "<string>",
"tracked_exchange": "<string>",
"market_types": []
}
],
"client_draft_id": "<string>"
}
'import requests
url = "https://api.glassmarkets.io/v2/organizations/rfq/{rfq_id}/"
payload = {
"asset": "<string>",
"title": "<string>",
"subtitle": "<string>",
"due_date": "2023-12-25",
"template": "<unknown>",
"target_exchanges": [
{
"id": "<string>",
"name": "<string>",
"tracked_exchange": "<string>",
"market_types": []
}
],
"client_draft_id": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
asset: '<string>',
title: '<string>',
subtitle: '<string>',
due_date: '2023-12-25',
template: '<unknown>',
target_exchanges: [
{
id: '<string>',
name: '<string>',
tracked_exchange: '<string>',
market_types: []
}
],
client_draft_id: '<string>'
})
};
fetch('https://api.glassmarkets.io/v2/organizations/rfq/{rfq_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"asset": "<string>",
"title": "<string>",
"subtitle": "<string>",
"status": "draft",
"due_date": "2023-12-25",
"template": "<unknown>",
"token": {
"symbol": "<string>",
"name": "<string>",
"tracked_asset": "<string>"
},
"target_exchanges": [
{
"id": "<string>",
"name": "<string>",
"tracked_exchange": "<string>",
"market_types": [
"spot"
]
}
],
"created_by": {
"id": 123,
"username": "<string>",
"email": "jsmith@example.com"
},
"draft_owner": {
"browser_id": "<string>",
"account": {
"id": 123,
"username": "<string>",
"email": "jsmith@example.com"
},
"associated_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"proposals": [
{
"id": 123,
"organization": {
"slug": "<string>",
"name": "<string>"
},
"status": "pending",
"response_data": "<unknown>",
"submitted_at": "2023-11-07T05:31:56Z",
"reviewed_at": "2023-11-07T05:31:56Z",
"version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"permissions": {
"respond": true,
"review": true,
"create_targets": true
},
"targets_created_at": "2023-11-07T05:31:56Z"
}
],
"permissions": {
"manage": true
}
}Authorizations
Token-based authentication with required prefix "Token ". Example: "Token 9944b09199c62bcf9418ad846dd0e4bbdfc6ee4b"
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Maximum string length:
255Maximum string length:
255Maximum string length:
10000draft- Draftactive- Activecompleted- Completedarchived- Archived
Available options:
draft, active, completed, archived Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
128Response
200 - application/json
draft- Draftactive- Activecompleted- Completedarchived- Archived
Available options:
draft, active, completed, archived Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
All proposals for the RFQ owner; only your own for a bidder.
Show child attributes
Show child attributes
Show child attributes
Show child attributes

